      SUBROUTINE SF76R1(Z,AI,BI,AID,BID,L1,IERR)
         INTEGER IERR,L1
         REAL AI,AID,BI,BID,Z
         EXTERNAL SF76R5,UTSF14
         REAL A,ANG,ANGLM,ANGUP,B,C,CN,D,FA,FB,FC,FD,SN,SX,SYS009,
     1        SYS038,X,Y,Z4,Z4I,ZETA,ZETAI
         DIMENSION A(5),B(5),C(5),D(5)
         DATA A(1),A(2),A(3),A(4),A(5)/1.128243,-0.6803534E-04,
     1        0.16687E-06,-0.128E-08,0.2E-10/,B(1),B(2),B(3),B(4),
     2        B(5)/0.7822109E-01,-0.6895649E-04,0.32857E-06,
     3        -0.370E-08,0.7E-10/,C(1),C(2),C(3),C(4),C(5)/1.128540,
     4        0.8046925E-04,-0.18161E-06,0.135E-08,-0.2E-10/,
     5        D(1),D(2),D(3),D(4),D(5)/-0.1095486,0.7713350E-04,
     6        -0.35168E-06,0.388E-08,-0.7E-10/,SYS009/0.7853982/,
     7        ANGLM,ANGUP/250.0,2.097152E6/,SYS038/0.6666667/
       IERR = 0
       X = -Z
       SX = SQRT(X)
       Y = X*SX
       ZETA = SYS038*Y
       Z4 = SQRT(SX)
       ANG = ZETA + SYS009
       IF (ANGLM - ANG) 10, 40, 40
   10  CONTINUE
       IF (ANGUP - ANG) 20, 20, 30
   20  CONTINUE
       IERR = 1
       AI = 0.0
       BI = 0.0
       AID = 0.0
       BID = 0.0
       GO TO 60
   30  CONTINUE
       IERR = 2
   40  CONTINUE
       SN = SIN(ANG)
       CN = COS(ANG)
       ZETAI = 1.0/ZETA
       X = 7.0/X
       X = X*X*X
       IF (L1 .LT. 0) GO TO 50
          CALL SF76R5(X,5,A,FA)
          CALL SF76R5(X,5,B,FB)
          Z4I = 1.0/Z4
          FB = FB*ZETAI
          AI = Z4I*(SN*FA - CN*FB)
          BI = Z4I*(CN*FA + SN*FB)
          IF (L1 .GT. 0) GO TO 70
   50     CONTINUE
          CALL SF76R5(X,5,C,FC)
          CALL SF76R5(X,5,D,FD)
          FD = FD*ZETAI
          AID = -Z4*(CN*FC + SN*FD)
          BID = Z4*(SN*FC - CN*FD)
   60  CONTINUE
       IF (IERR .NE. 0) CALL UTSF14(IERR,76)
   70  RETURN
      END
