      SUBROUTINE SF76R4(Z,AI,BI,AID,BID,L1,L2,IERR)
         INTEGER IERR,L1,L2
         REAL AI,AID,BI,BID,Z
         EXTERNAL SF76R5,UTSF14
         REAL A,B,C,C18T5,D,EX,EY,SYS038,SYS059,SYS076,SZ,X,Y,Z4,Z4I,
     1        ZETA,ZUP
         DIMENSION A(7),B(7),C(7),D(7)
         DATA A(1),A(2),A(3),A(4),A(5),A(6),A(7)/0.5626513,
     1        -0.7613622E-03,0.765252E-05,-0.14228E-06,0.380E-08,
     2        -0.13E-09,0.1E-10/,B(1),B(2),B(3),B(4),B(5),B(6),B(7)
     3        /1.131664,0.1661417E-02,0.1968882E-04,0.47047E-06,
     4        0.1769E-07,0.94E-09,0.6E-10/,C(1),C(2),C(3),C(4),C(5),
     5        C(6),C(7)/0.5663536,0.1072732E-02,-0.910034E-05,
     6        0.15998E-06,-0.415E-08,0.14E-09,-01.E-10/,D(1),D(2),
     7        D(3),D(4),D(5),D(6),D(7)/1.123806,-0.2309253E-02,
     8        -0.2309457E-04,-0.52171E-06,-0.1907E-07,-0.100E-08,
     9        -0.7E-10/,ZUP/4.398046E12/,SYS076/8.872283E+01/
         DATA SYS059/3.4E38/,SYS038/0.6666667/,C18T5/18.52026/
       IERR = 0
       IF (ZUP - Z) 10, 20, 20
   10  CONTINUE
       IERR = 3
       AI = 0.0
       BI = 0.0
       AID = 0.0
       BID = 0.0
       GO TO 90
   20  CONTINUE
       SZ = SQRT(Z)
       Y = Z*SZ
       Z4 = SQRT(SZ)
       IF (L2) 30, 40, 30
   30  CONTINUE
       EX = 1.0
       EY = 1.0
       GO TO 70
   40  CONTINUE
       ZETA = SYS038*Y
       IF (SYS076 - ZETA) 50, 60, 60
   50  CONTINUE
       IERR = 4
       AI = 0.0
       AID = 0.0
       BI = SYS059
       BID = BI
       GO TO 90
   60  CONTINUE
       EX = EXP(ZETA)
       EY = 1.0/EX
   70  CONTINUE
       X = C18T5/Y
       IF (L1 .LT. 0) GO TO 80
          CALL SF76R5(X,7,A,AI)
          CALL SF76R5(X,7,B,BI)
          Z4I = 1.0/Z4
          AI = Z4I*AI*EY
          BI = Z4I*BI*EX
          IF (L1 .GT. 0) GO TO 100
   80     CONTINUE
          CALL SF76R5(X,7,C,AID)
          CALL SF76R5(X,7,D,BID)
          AID = -Z4*AID*EY
          BID = Z4*BID*EX
   90  CONTINUE
       IF (IERR .NE. 0) CALL UTSF14(IERR,76)
  100  RETURN
      END
